Subject: Re: [NNTP] Discrepancy in the definition of an extension

From: Julien ÉLIE <[email-masked]>
Date: Sun, 8 Aug 2010 14:24:51 +0200

Hi all,

> Section 3.3.3 of RFC 3977 says that the definition of an extension
> must include the following:
>
>   o  Any new arguments the extension associates with any other
>      pre-existing NNTP commands.
>
> However, RFC 4642, 4643 and 4644 say:
>
>   o  This extension does not associate any new responses with pre-
>      existing NNTP commands.
>
>
> There is a mismatch here.
>
> What is the right wording?  Isn't it "responses" instead of "arguments"
> in RFC 3977?
> Or maybe both responses and arguments?

As we do not know well what RFC 3977 expects here, I considered for
the new version of the draft for LIST additions that both of them
(responses and arguments) were required.
Better to say more than less.

Especially, new arguments are associated with the pre-existing "LIST"
NNTP command ("COUNTS", "DISTRIBUTIONS", "MODERATORS", "MOTD", and
"SUBSCRIPTIONS").  No new responses.

-- 
Julien ÉLIE

« Vinum bonum laetificat cor hominis. »